среда, 14 сентября 2011 г.

perl-mysql, centos и юникод

Дело в том, что в CentOS 5.6 штатно идёт perl-DBD-MySQL 3.0007, который некорректно работает с юникодом - страницы показывает, будто то ли указана cp1251, то ли получили двойное преобразование. Это проблема старой версии. Лечится установкой 4 версии. Для этого подключаем rpmforge-extras (ставится с rpmforge), там версия 4.014, с ней отображается нормально.

ЗЫ Некоторые говорят, что типа фря отстой, линукс форева.. Но при этом в центоси много софта многолетней давности, во фре в разы такого меньше. Тот же перл -- штатно тут 5.8, во фре штатно 5.8, 5.10, 5.12.
Более того, просмотрел все основные репы - там _только_ 5.8.8

Комментариев нет:

Отправить комментарий